#
# Conditional build:
%bcond_without	doc	# don't build doc
%bcond_without	tests	# do not perform "make test"

%define 	module		repomd
%define 	egg_name	repomd
%define		pypi_name	repomd
Summary:	Library for reading dnf/yum repositories
Name:		python3-%{pypi_name}
Version:	0.2.1
Release:	3
License:	MIT
Group:		Libraries/Python
Source0:	https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	3979bcf59644ead9fb3324fe36d183ed
URL:		https://github.com/carlwgeorge/repomd
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools >= 38.6.0
%if %{with tests}
BuildRequires:	python3-lxml
BuildRequires:	python3-pytest
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides an object-oriented interface to get information
out of dnf/yum repositories.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{py3_sitescriptdir}/%{pypi_name}.py
%{py3_sitescriptdir}/__pycache__/*
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-repomd.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 2cbf649
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> f8fb632
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sun Aug 18 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 280d581
- up to 0.2.1

* Sat Feb 02 2019 Elan Ruusamäe <glen@pld-linux.org> c117e02
- new, version 0.1.0

